@import "fonts.scss";
@import "mixins.scss";

* {
  margin: 0;
  padding: 0;
}

body {
  width: 1920px;
  margin: 0 auto;
  background-color: var(--BackgroundColor);
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 40px 70px 30px 70px;
  @media screen and (min-width: 320px) and (max-width: 768px) {
      width: 85vw;
  }
  .header-left-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-decoration: none;
    .header-left-section__logo {
      width: 91px;
      height: 35px;
    }
    .header-left-section__logo-text {
      color: #000;
      text-align: center;
      font-family: Gilroy, serif;
      font-size: 35px;
      font-style: normal;
      font-weight: 900;
      line-height: normal;
      letter-spacing: -0.7px;
      margin-left: 10px;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        display: none;
      }
      .header-left-section__logo-span {
        color: #000;
        font-family: Gilroy, serif;
        font-size: 35px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        letter-spacing: -0.7px;
        text-transform: uppercase;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          display: none;
        }
      }
    }
    .header-left-section__logo-secondary-span {
      color: #000;
      text-align: center;
      font-family: Gilroy, serif;
      font-size: 25px;
      font-style: normal;
      font-weight: normal;
      line-height: normal;
      align-self: start;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        display: none;
      }
    }
  }
  .header-right-section {
        .header-right-section__link {
          color: #252525;
          text-align: center;
          font-family: Gilroy, serif;
          font-size: 25px;
          font-style: normal;
          font-weight: 500;
          line-height: normal;
          text-decoration: none;
          background: none;
          border: none;
          &:hover {
            cursor: pointer;
          }
        }
  }
}

.main {
  background-color: var(--BackgroundColor);
  .name-section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    @media screen and (min-width: 320px) and (max-width: 768px) {
      width: 100vw;
    }
    .name-section__parent-span {
      color: #252525;
      text-align: center;
      font-family: Gilroy, serif;
      font-size: 150px;
      font-style: normal;
      font-weight: 500;
      line-height: normal;
      text-transform: uppercase;
      padding: 30px 0;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        font-size: 57px;
      }
      .name-section__child-span {
        color: #252525;
        font-family: Gilroy, serif;
        font-size: 150px;
        font-style: normal;
        font-weight: normal;
        line-height: normal;
        text-transform: capitalize;
        display: block;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          font-size: 57px;
        }
      }
    }
    .name-section__svg {
      display: block;
      margin: 0 auto;
      padding-bottom: 51px;
    }
  }
  .hero-photo-section {
    .hero-photo-section__hero-photo {
      width: 100%;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        width: 100vw;
        height: auto;
      }
    }
  }
  .digital-experiences-section {
    .digital-experiences {
      display: flex;
      justify-content: space-between;
      padding: 70px 0 70px 70px;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        display: flex;
        flex-direction: column;
        //justify-content: center;
        padding: 30px 20px;
      }
      .digital-experiences__main-text {
        color: #252525;
        font-family: Gilroy, serif;
        font-size: 62px;
        font-style: normal;
        font-weight: normal;
        line-height: normal;
        width: 68%;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          font-size: 30px;
          width: 90vw;
          text-align: center;
          margin-bottom: 30px;
        }
        .digital-experiences__secondary-span {
          font-family: Gilroy, serif;
          font-style: normal;
          font-weight: bold;
        }
      }
      .digital-experiences__social-media-section {
        display: flex;
        flex-direction: column;
        width: 30%;
        background-color: #252525;
        box-sizing: border-box;
        padding: 60px 70px 60px 0;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          width: 100vw;
          min-width: 320px;
          padding: 40px 50px 40px 0;
          margin-left: -20px; // !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        }
        .social-media-section__text {
          color: #FFF;
          text-align: right;
          font-family: Gilroy, serif;
          font-size: 32px;
          font-style: normal;
          font-weight: 500;
          line-height: 32px;
          text-transform: uppercase;
          margin-bottom: 30px;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            font-size: 28px;
          }
        }

        .social-media-logo-section {
          display: flex;
          justify-content: flex-end;

          .social-media-logo-section__link {
            .social-media-logo-section__logo {
            }
          }

          .social-media-logo-section__link:nth-child(1), .social-media-logo-section__link:nth-child(2), .social-media-logo-section__link:nth-child(3) {
            margin-right: 20px;

            .social-media-logo-section__logo {
            }
          }
        }
      }
    }
  }
}

  .logos-section {
    display: flex;
    justify-content: space-between;
    padding: 70px;
    @media screen and (min-width: 320px) and (max-width: 768px) {
      flex-direction: row;
      flex-wrap: wrap;
      align-items: center;
      width: 100vw;
    }
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      flex-direction: row;
      flex-wrap: wrap;
      align-items: center;
      width: 100vw;
    }
    a {
      img {
        padding: 15px 40px;
        border-radius: 50px;
        background: #FFF;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          margin-bottom: 10px;
        }
      }
    }


  }

  .selected-work {
    margin-bottom: 100px;
    .selected-work-title-div {
      display: flex;
      justify-content: center;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        width: 100vw;
      }
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        width: 100vw;
      }
      .selected-work-title {
      color: #252525;
      //text-align: center;
      font-family: Gilroy, serif;
      font-size: 212px;
      font-style: normal;
      font-weight: normal;
      line-height: normal;
      letter-spacing: 8.48px;
      text-transform: uppercase;
      margin-top: 70px;
      margin-bottom: 50px;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        font-size: 80px;
        text-align: center;
      }
        @media screen and (min-width: 768px) and (max-width: 1200px) {
          font-size: 150px;
          text-align: center;
        }
    }
    }
      .cards-top-row {
      display: flex;
      justify-content: space-between;
      padding-left: 70px;
      padding-right: 70px;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        flex-direction: column;
        align-items: center;
        width: 100vw;
        padding-left: 0;
        padding-right: 0;
      }
        @media screen and (min-width: 768px) and (max-width: 1200px) {
          flex-direction: column;
          align-items: center;
          width: 100vw;
          padding-left: 0;
          padding-right: 0;
        }
        .cards-top-row__card1 {
        width: 567px;
        height: 567px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            order: 3;
            height: auto;
          }
          @media screen and (min-width: 768px) and (max-width: 1200px) {
            order: 3;
            height: auto;
          }
          .card1__top-part {
            .card1__top-part-trinity {
              .card1__top-part-trinity-text {
              color: #000;
              font-family: Gilroy, serif;
              font-size: 40px;
              font-style: normal;
              font-weight: bold;
              line-height: 44px;
              text-transform: uppercase;
            }
          }
            .card1__top-part-buttons {
            display: flex;
            margin-top: 30px;
              .card1__top-part-button1 {
              color: #252525;
              font-family: Gilroy, serif;
              font-size: 18px;
              font-style: normal;
              font-weight: 500;
              line-height: normal;
              border-radius: 50px;
              background: #FFF;
              padding: 15px 30px;
              margin-right: 30px;
              text-decoration: none;
            }
              .card1__top-part-button2 {
              color: #252525;
              font-family: Gilroy, serif;
              font-size: 18px;
              font-style: normal;
              font-weight: 500;
              line-height: normal;
              border-radius: 50px;
              background: #FFF;
              padding: 15px 30px;
              text-decoration: none;
            }
          }
        }
          .card1__bottom-part {
            display: flex;
            align-self: flex-end;
            .card1__button-black {
              color: #FFF;
              font-family: Gilroy, serif;
              font-size: 18px;
              font-style: normal;
              font-weight: 500;
              line-height: normal;
              text-transform: capitalize;
              border-radius: 50px;
              background: #252525;
              padding: 10px 50px 10px 30px;
              text-decoration: none;
              position: relative;
              &::after {
                position: absolute;
                content: '';
                top: 13px;
                left: 110px;
                width: 24px;
                height: 17px;
                background-image: url("data:image/svg+xml,%3Csvg width='24' height='17' viewBox='0 0 24 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M21.5881 8.74561L1.58813 8.74561' stroke='white' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3Cpath d='M16.3333 15.4121L22.9999 8.74544L16.3333 2.07878' stroke='white' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            }
          }
        }
      }
        .cards-top-row__card2 {
          width: 567px;
          height: 567px;
          box-sizing: border-box;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            //margin-top: 20px;
          }
          .card2__image {

        }
      }
        .cards-top-row__card3 {
        width: 567px;
        height: 567px;
        box-sizing: border-box;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            margin-top: 20px;
            margin-bottom: 20px;
          }
          @media screen and (min-width: 768px) and (max-width: 1200px) {
            margin-top: 20px;
            margin-bottom: 20px;
          }
          .card2__image3 {
        }
      }
    }
      .cards-bottom-row {
      display: flex;
      justify-content: space-between;
      padding: 70px;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          flex-direction: column;
          align-items: center;
          width: 100vw;
          padding-left: 0;
          padding-right: 0;
      }
        @media screen and (min-width: 768px) and (max-width: 1200px) {
          flex-direction: column;
          align-items: center;
          width: 100vw;
          padding-left: 0;
          padding-right: 0;
        }
        .cards-bottom-row__card4 {
        width: 567px;
        height: 567px;
        box-sizing: border-box;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            margin-bottom: 20px;
          }
          @media screen and (min-width: 768px) and (max-width: 1200px) {
            margin-bottom: 20px;
          }
      }
        .cards-top-bottom__card5 {
        width: 567px;
        height: 567px;
        box-sizing: border-box;
      }
        .cards-bottom-row__card6 {
        width: 567px;
        height: 567px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            margin-top: 20px;
            height: auto;
          }
          @media screen and (min-width: 768px) and (max-width: 1200px) {
            margin-top: 20px;
            height: auto;
          }
          .card6__top-part {
            .card6__top-part-morpheus {
              .card6__top-part-morpheus-text {
              color: #000;
              font-family: Gilroy, serif;
              font-size: 40px;
              font-style: normal;
              font-weight: bold;
              line-height: 44px;
              text-transform: uppercase;
            }
          }
            .card6__top-part-buttons {
            display: flex;
            margin-top: 30px;
              .card6__top-part-button1 {
              color: #252525;
              font-family: Gilroy, serif;
              font-size: 18px;
              font-style: normal;
              font-weight: 500;
              line-height: normal;
              border-radius: 50px;
              background: #FFF;
              padding: 15px 30px;
              margin-right: 30px;
              text-decoration: none;
            }
              .card6__top-part-button2 {
              color: #252525;
              font-family: Gilroy, serif;
              font-size: 18px;
              font-style: normal;
              font-weight: 500;
              line-height: normal;
              border-radius: 50px;
              background: #FFF;
              padding: 15px 30px;
              text-decoration: none;
            }
          }
        }

          .card6__bottom-part {
          display: flex;
          justify-content: flex-end;
            .card6__button-black {
            color: #FFF;
            font-family: Gilroy, serif;
            font-size: 18px;
            font-style: normal;
            font-weight: 500;
            line-height: normal;
            text-transform: capitalize;
            border-radius: 50px;
            background: #252525;
            padding: 10px 50px 10px 30px;
            text-decoration: none;
            position: relative;
              &::after {
                position: absolute;
                content: '';
                top: 13px;
                left: 110px;
                width: 24px;
                height: 17px;
                background-image: url("data:image/svg+xml,%3Csvg width='24' height='17' viewBox='0 0 24 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M21.5881 8.74561L1.58813 8.74561' stroke='white' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3Cpath d='M16.3333 15.4121L22.9999 8.74544L16.3333 2.07878' stroke='white' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            }
          }
        }
      }
    }

      .selected-work__button-div {
        display: flex;
        justify-content: center;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          width: 100vw;
        }
        .selected-work__button {
          color: #252525;
          font-family: Gilroy, serif;
          font-size: 18px;
          font-style: normal;
          font-weight: 500;
          line-height: normal;
          padding: 15px 60px;
          border-radius: 50px;
          background: #FFF;
          text-decoration: none;
          @media screen and (min-width: 320px) and (max-width: 768px) {
            padding: 15px 170px;
          }
        }
      }
    }

  .our-team-section {
    margin-top: 50px;
    margin-bottom: 50px;
    .our-team-section__title-div {
      display: flex;
      justify-content: center;
      @media screen and (min-width: 320px) and (max-width: 768px) {
        width: 100vw;
        text-align: center;
      }
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        width: 100vw;
        text-align: center;
      }
      .our-team-section__title {
        color: #252525;
        font-family: Gilroy, serif;
        font-size: 212px;
        font-style: normal;
        font-weight: normal;
        line-height: normal;
        letter-spacing: 8.48px;
        text-transform: uppercase;
        //text-align: center;
        margin-bottom: 50px;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          font-size: 80px;
        }
        @media screen and (min-width: 320px) and (max-width: 768px) {
          font-size: 150px;
        }
      }
    }
    .grid-container {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr 1fr;
      grid-template-rows: 1fr 1fr;
      margin-left: 70px;
      margin-right: 70px;
      row-gap: 60px;
      column-gap: 40px;

      @media screen and (min-width: 320px) and (max-width: 768px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 100vw;
        margin-left: 0;
        margin-right: 0;
      }

      @media screen and (min-width: 768px) and (max-width: 1200px) {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        width: 114vw;
        margin-left: 0;
        margin-right: 0;
      }

      .grid-item {
        margin-top: 30px;
        margin-bottom: 30px;
        @media screen and (min-width: 320px) and (max-width: 768px) {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          width: 100vw;
        }
        @media screen and (min-width: 768px) and (max-width: 1200px) {
          //width: 50vw;
        }
        .grid-item__name {
          @include Our-team-Card-Name;
          a {
            @include Our-team-Card-Name;
            text-decoration: none;
          }
        }
        .grid-item__position {
          @include Our-team-Card-Position;
          margin-top: 5px;
          margin-bottom: 15px;
          a {
            @include Our-team-Card-Position;
            text-decoration: none;
          }
        }
        img {
          margin-bottom: 15px;
        }
        .grid-item__logo-section {
          display: flex;
          justify-content: flex-end;
          @media screen and (min-width: 768px) and (max-width: 1200px) {
            justify-content: center;
          }
          a {
            text-decoration: none;
          }
          .grid-item__link:nth-child(1), .grid-item__link:nth-child(2), .grid-item__link:nth-child(3) {
            margin-right: 10px;
          }
        }
      }
      .grid-item:nth-child(7) {
        @media screen and (min-width: 320px) and (max-width: 768px) {
          display: none;
        }
      }
      .flex-item {
        display: flex;
        flex-direction: column;
        justify-content: center;
        .flex-item__title {
          color: #333;
          font-family: Gilroy, serif;
          font-size: 30px;
          font-style: normal;
          font-weight: normal;
          line-height: normal;
          text-transform: uppercase;
        }
        .flex-item__description {
          color: #333;
          font-family: Gilroy, serif;
          font-size: 64px;
          font-style: normal;
          font-weight: bold;
          line-height: normal;
          text-transform: uppercase;
          margin-top: 15px;
          margin-bottom: 25px;
        }
        .flex-item__button-div {
          width: 100%;
          .flex-item__button {
            color: #FFF;
            font-family: Gilroy, serif;
            font-size: 18px;
            font-style: normal;
            font-weight: 500;
            line-height: normal;
            text-transform: capitalize;
            border-radius: 50px;
            background: #252525;
            text-decoration: none;
            padding: 10px 50px 10px 30px;
            position: relative;
            &::after {
              position: absolute;
              content: '';
              top: 13px;
              left: 110px;
              width: 24px;
              height: 17px;
              background-image: url("data:image/svg+xml,%3Csvg width='24' height='17' viewBox='0 0 24 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M21.5881 8.74561L1.58813 8.74561' stroke='white' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3Cpath d='M16.3333 15.4121L22.9999 8.74544L16.3333 2.07878' stroke='white' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            }
          }
        }
      }
      .grid-item:nth-child(7) {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 3;
        grid-column-end: 5;
      }
    }
  }